Subject: Re: [RFC][PATCH] t-prio-queue: simplify using compound literals

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Apr 2024 13:31:03 -0700

René Scharfe <[email-masked]> writes:

> Test names like "basic" are mentioned seven times in the code (ignoring
> case): Twice when defining the input and result macros, thrice when
> defining the test function, and twice again when calling it.  Reduce
> that to a single time by using compound literals to pass the input and
> result arrays via TEST_INPUT to test_prio_queue().
>
> Signed-off-by: René Scharfe <[email-masked]>
> ---
> C99 added compound literals.  Are we ready to use them?

We don't know.  This might be a good weather-baloon, but I do not
know if people skip t/unit-tests/ without telling us.  After a few
releases with this patch in, perhaps we can find a more central
place to use them to deliberately break the build of these folks and
have them complain, and revert it if it becomes needed?